Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eventbasedparsing
Class Pdb2XML

    java.lang.Object
      eventbasedparsing.Pdb2XML

    public class Pdb2XML

extends Object

Pdb2XML is an application for the conversion native output from BLAST-like bioinformatics software into an XML format. For currently supported bioinformatics programs, please see the documentation for the BlastLikeSaxParser.

The XML produced should validate against the biojava MacromolecularStructureCollection DTD. Usage is:

     java Pdb2XML <pdb file pathname>

-mode is optional paramater.

Copyright © 2000 Cambridge Antibody Technology.

Primary author -

- Simon Brocklehurst (CAT)

Other authors -

- Tim Dilks (CAT)
- Colin Hardman (CAT)
- Stuart Johnston (CAT)

Version:
  1.1
Author:
  Cambridge Antibody Technology Group plc (CAT)

Constructor Summary
`Pdb2XML()`

Method Summary
`static void` | `main(String[] args)` Converts an file containing the output from bioinformatics software with a "pdb like" format into an XML format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pdb2XML

    public Pdb2XML()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Converts an file containing the output from bioinformatics software with a "pdb like" format into an XML format.

  Parameters:
    `args` - a `String[]` representation of a pathname
  Throws:
    `Exception` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD